glibmm: Gio::TcpConnection Class Reference

glibmm 2.31.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gio::TcpConnection Class Reference
Portable Network I/O Functionality

A TCP SocketConnection. More...

`#include <giomm/tcpconnection.h>`

Inheritance diagram for Gio::TcpConnection:
[legend]

List of all members.

## Public Member Functions
virtual | ~TcpConnection ()
GTcpConnection* | gobj ()
| Provides access to the underlying C GObject.
const GTcpConnection* | gobj () const
| Provides access to the underlying C GObject.
GTcpConnection* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_graceful_disconnect (bool graceful_disconnect)
| This enabled graceful disconnects on close.
bool | get_graceful_disconnect () const
| Checks if graceful disconnects are used.
Glib::PropertyProxy< bool > | property_graceful_disconnect ()
| Whether or not close does a graceful disconnect.
Glib::PropertyProxy_ReadOnly < bool > | property_graceful_disconnect () const
| Whether or not close does a graceful disconnect.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::TcpConnection > | wrap (GTcpConnection* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A TCP SocketConnection.

This is the subclass of SocketConnection that is created for TCP/IP sockets.

Since glibmm 2.24:

## Constructor & Destructor Documentation

virtual Gio::TcpConnection::~TcpConnection | ( |  | ) | `[virtual]`

## Member Function Documentation

bool Gio::TcpConnection::get_graceful_disconnect | ( |  | ) | const

Checks if graceful disconnects are used.

See g_tcp_connection_set_graceful_disconnect().

Since glibmm 2.22:

Returns:
  `true` if graceful disconnect is used on close, `false` otherwise.

GTcpConnection* Gio::TcpConnection::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::SocketConnection.

const GTcpConnection* Gio::TcpConnection::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::SocketConnection.

GTcpConnection* Gio::TcpConnection::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::SocketConnection.

Glib::PropertyProxy<bool> Gio::TcpConnection::property_graceful_disconnect | ( |  | ) |

Whether or not close does a graceful disconnect.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gio::TcpConnection::property_graceful_disconnect | ( |  | ) | const

Whether or not close does a graceful disconnect.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gio::TcpConnection::set_graceful_disconnect | ( | bool | graceful_disconnect | ) |

This enabled graceful disconnects on close.

A graceful disconnect means that we signal the recieving end that the connection is terminated and wait for it to close the connection before closing the connection.

A graceful disconnect means that we can be sure that we successfully sent all the outstanding data to the other end, or get an error reported. However, it also means we have to wait for all the data to reach the other side and for it to acknowledge this by closing the socket, which may take a while. For this reason it is disabled by default.

Since glibmm 2.22:

Parameters:

  graceful_disconnect | Whether to do graceful disconnects or not.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::TcpConnection > wrap | ( | GTcpConnection * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.